'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var Spinner = exports.Spinner = {
  name: 'spinner-component',
  functional: true,
  props: {
    spinnerClasses: {
      type: [String],
      required: false
    }
  },
  render: function render(h, context) {
    var spinnerClasses = context.props.spinnerClasses;


    var classes = 'spinner ';
    if (spinnerClasses) {
      classes += spinnerClasses;
    }
    return h(
      'div',
      { 'class': classes },
      [h('div', { 'class': 'spinner-left' }), h('div', { 'class': 'spinner-right' })]
    );
  }
};